> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/content/wisej.web.aspnetpanel.md).

# AspNetPanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [IFramePanel](/api/wisej.web/content/wisej.web.iframepanel.md)
    * [AspNetPanel](/api/wisej.web/content/wisej.web.aspnetpanel.md)

Represents a control that can host ASP.NET or MVC pages within a Wisej application.

{% tabs %}
{% tab title="C#" %}

```csharp
public class AspNetPanel : IFramePanel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class AspNetPanel
    Inherits IFramePanel
```

{% endtab %}
{% endtabs %}

The code in the hosted ASP.NET/MVC page can access any component in the current Wisej application session simply by using the Wisej.Web.Application class. All top level forms and pages are available in the Application.OpenForms, Application.OpenPages, Application.MainPage, and Application.Desktop properties.

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) AspNetPanel()

Initializes a new instance of [AspNetPanel](/api/wisej.web/content/wisej.web.aspnetpanel.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) PageSource

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the ASP.NET/MVC page to load in the [AspNetPanel](/api/wisej.web/content/wisej.web.aspnetpanel.md) control. (Default: `""`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/wisej.web.aspnetpanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
